#ifndef __ETHERNETIF_DM9K_H__
#define __ETHERNETIF_DM9K_H__

#include "lwip/err.h"
#include "lwip/netif.h"

err_t ethernetif_dm9k_init(struct netif *netif);
void  ethernet_link_check_state(struct netif *netif);
void  BSP_GPIO15_EXTI_Callback(void);
#endif
